Upstream information

CVE-2014-3467 at MITRE

Description

Multiple unspecified vulnerabilities in the DER decoder in GNU Libtasn1 before 3.6, as used in GnuTLS, allow remote attackers to cause a denial of service (out-of-bounds read) via crafted ASN.1 data.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
SUSE Bugzilla entries: 880737 [RESOLVED / FIXED], 880910 [CLOSED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • libtasn1 >= 1.5-1.28.1
  • libtasn1-3 >= 1.5-1.28.1
  • libtasn1-3-32bit >= 1.5-1.28.1
Patchnames:
sledsp3-libtasn1
SUSE Linux Enterprise Desktop 12
  • libtasn1 >= 3.7-2.13
  • libtasn1-6 >= 3.7-2.13
  • libtasn1-6-32bit >= 3.7-2.13
Patchnames:
SUSE Linux Enterprise Desktop 12 GA libtasn1
SUSE Linux Enterprise Desktop 12 SP1
  • libtasn1 >= 3.7-4.1
  • libtasn1-6 >= 3.7-4.1
  • libtasn1-6-32bit >= 3.7-4.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA libtasn1
SUSE Linux Enterprise Desktop 12 SP2
  • libtasn1 >= 3.7-11.1
  • libtasn1-6 >= 3.7-11.1
  • libtasn1-6-32bit >= 3.7-11.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA libtasn1
SUSE Linux Enterprise Desktop 12 SP3
  • libtasn1 >= 4.9-1.7
  • libtasn1-6 >= 4.9-1.7
  • libtasn1-6-32bit >= 4.9-1.7
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA libtasn1
SUSE Linux Enterprise Module for Basesystem 15
  • libtasn1 >= 4.13-2.15
  • libtasn1-6 >= 4.13-2.15
  • libtasn1-devel >= 4.13-2.15
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA libtasn1
SUSE Linux Enterprise Module for Desktop Applications 15
  • libtasn1-6-32bit >= 4.13-2.15
Patchnames:
SUSE Linux Enterprise Module for Desktop Applications 15 GA libtasn1-6-32bit
SUSE Linux Enterprise Server 11 SP1-LTSS
  • gnutls >= 2.4.1-24.39.53.1
  • libgnutls-extra26 >= 2.4.1-24.39.53.1
  • libgnutls26 >= 2.4.1-24.39.53.1
  • libgnutls26-32bit >= 2.4.1-24.39.53.1
Patchnames:
slessp1-gnutls
SUSE Linux Enterprise Server 11 SP2-LTSS
  • gnutls >= 2.4.1-24.39.53.1
  • libgnutls-extra26 >= 2.4.1-24.39.53.1
  • libgnutls26 >= 2.4.1-24.39.53.1
  • libgnutls26-32bit >= 2.4.1-24.39.53.1
Patchnames:
slessp2-gnutls
SUSE Linux Enterprise Server 11 SP3
  • libtasn1 >= 1.5-1.28.1
  • libtasn1-3 >= 1.5-1.28.1
  • libtasn1-3-32bit >= 1.5-1.28.1
  • libtasn1-3-x86 >= 1.5-1.28.1
Patchnames:
slessp3-libtasn1
SUSE Linux Enterprise Server 11 SP4
  • gnutls >= 2.4.1-24.39.55.1
  • libgnutls-extra26 >= 2.4.1-24.39.55.1
  • libgnutls26 >= 2.4.1-24.39.55.1
  • libgnutls26-32bit >= 2.4.1-24.39.55.1
  • libgnutls26-x86 >= 2.4.1-24.39.55.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA gnutls
SUSE Linux Enterprise Server 12
  • libtasn1 >= 3.7-2.6
  • libtasn1-6 >= 3.7-2.6
  • libtasn1-6-32bit >= 3.7-2.13
Patchnames:
SUSE Linux Enterprise Server 12 GA libtasn1
SUSE Linux Enterprise Server 12 SP1
  • libtasn1 >= 3.7-4.1
  • libtasn1-6 >= 3.7-4.1
  • libtasn1-6-32bit >= 3.7-4.1
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA libtasn1
SUSE Linux Enterprise Server 12 SP2
  • libtasn1 >= 3.7-11.1
  • libtasn1-6 >= 3.7-11.1
  • libtasn1-6-32bit >= 3.7-11.1
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA libtasn1
SUSE Linux Enterprise Server 12 SP3
  • libtasn1 >= 4.9-1.7
  • libtasn1-6 >= 4.9-1.7
  • libtasn1-6-32bit >= 4.9-1.7
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA libtasn1
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • libtasn1 >= 3.7-11.1
  • libtasn1-6 >= 3.7-11.1
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA libtasn1
SUSE Linux Enterprise Server for SAP Applications 11 SP1-LTSS
  • gnutls >= 2.4.1-24.39.53.1
  • libgnutls-extra26 >= 2.4.1-24.39.53.1
  • libgnutls26 >= 2.4.1-24.39.53.1
  • libgnutls26-32bit >= 2.4.1-24.39.53.1
Patchnames:
slessp1-gnutls
SUSE Linux Enterprise Server for SAP Applications 11 SP2-LTSS
  • gnutls >= 2.4.1-24.39.53.1
  • libgnutls-extra26 >= 2.4.1-24.39.53.1
  • libgnutls26 >= 2.4.1-24.39.53.1
  • libgnutls26-32bit >= 2.4.1-24.39.53.1
Patchnames:
slessp2-gnutls
SUSE Linux Enterprise Server for SAP Applications 11 SP3
  • libtasn1 >= 1.5-1.28.1
  • libtasn1-3 >= 1.5-1.28.1
  • libtasn1-3-32bit >= 1.5-1.28.1
  • libtasn1-3-x86 >= 1.5-1.28.1
Patchnames:
slessp3-libtasn1
SUSE Linux Enterprise Server for VMWare 11 SP3
  • libtasn1 >= 1.5-1.28.1
  • libtasn1-3 >= 1.5-1.28.1
  • libtasn1-3-32bit >= 1.5-1.28.1
  • libtasn1-3-x86 >= 1.5-1.28.1
Patchnames:
slessp3-libtasn1
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libtasn1-devel >= 1.5-1.28.1
Patchnames:
sdksp3-libtasn1
SUSE Linux Enterprise Software Development Kit 11 SP4
  • libgnutls-devel >= 2.4.1-24.39.55.1
  • libgnutls-extra-devel >= 2.4.1-24.39.55.1
  • libgnutls-extra26 >= 2.4.1-24.39.55.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA libgnutls-devel
SUSE Linux Enterprise Software Development Kit 12
  • libtasn1-devel >= 3.7-2.13
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 GA libtasn1-devel
SUSE Linux Enterprise Software Development Kit 12 SP1
  • libtasn1-devel >= 3.7-4.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP1 GA libtasn1-devel
SUSE Linux Enterprise Software Development Kit 12 SP2
  • libtasn1-devel >= 3.7-11.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP2 GA libtasn1-devel
SUSE Linux Enterprise Software Development Kit 12 SP3
  • libtasn1-devel >= 4.9-1.7
Patchnames:
SUSE Linux Enterprise Software Development Kit 12 SP3 GA libtasn1-devel
SUSE Linux Enterprise Server 11 SP2 LTSS
  • gnutls >= 2.4.1-24.39.53.1
  • libgnutls-extra26 >= 2.4.1-24.39.53.1
  • libgnutls26 >= 2.4.1-24.39.53.1
Builds
SAT Patch Nr: 9352
SUSE Linux Enterprise Server 11 SP2 LTSS
  • gnutls >= 2.4.1-24.39.53.1
  • libgnutls-extra26 >= 2.4.1-24.39.53.1
  • libgnutls26 >= 2.4.1-24.39.53.1
  • libgnutls26-32bit >= 2.4.1-24.39.53.1
Builds
SAT Patch Nr: 9352
SUSE CORE 9 for AMD64 and Intel EM64T
SUSE CORE 9 for IBM S/390 31bit
SUSE CORE 9 for IBM zSeries 64bit
SUSE CORE 9 for x86
  • gnutls >= 1.0.8-26.32
  • gnutls-devel >= 1.0.8-26.32
Builds
YOU Patch Nr: 13014
SUSE Linux Enterprise Server 10 SP4 LTSS for x86
  • gnutls >= 1.2.10-13.40.1
  • gnutls-devel >= 1.2.10-13.40.1
Builds
ZYPP Patch Nr: 8873
SUSE Linux Enterprise Server 10 SP4 LTSS for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP4 LTSS for IBM zSeries 64bit
  • gnutls >= 1.2.10-13.40.1
  • gnutls-32bit >= 1.2.10-13.40.1
  • gnutls-devel >= 1.2.10-13.40.1
  • gnutls-devel-32bit >= 1.2.10-13.40.1
Builds
ZYPP Patch Nr: 8873
SUSE Linux Enterprise Server 11 SP1 LTSS
  • gnutls >= 2.4.1-24.39.53.1
  • libgnutls-extra26 >= 2.4.1-24.39.53.1
  • libgnutls26 >= 2.4.1-24.39.53.1
Builds
SAT Patch Nr: 9353
SUSE Linux Enterprise Server 11 SP1 LTSS
  • gnutls >= 2.4.1-24.39.53.1
  • libgnutls-extra26 >= 2.4.1-24.39.53.1
  • libgnutls26 >= 2.4.1-24.39.53.1
  • libgnutls26-32bit >= 2.4.1-24.39.53.1
Builds
SAT Patch Nr: 9353
SUSE Manager 1.7 for SLE 11 SP2
  • gnutls >= 2.4.1-24.39.51.1
  • libgnutls-extra26 >= 2.4.1-24.39.51.1
  • libgnutls26 >= 2.4.1-24.39.51.1
  • libgnutls26-32bit >= 2.4.1-24.39.51.1
Builds
SAT Patch Nr: 9319
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libtasn1-devel >= 1.5-1.28.1
Builds
SAT Patch Nr: 9528
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • libtasn1 >= 1.5-1.28.1
  • libtasn1-3 >= 1.5-1.28.1
Builds
SAT Patch Nr: 9528
SUSE Linux Enterprise Desktop 11 SP3
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • libtasn1 >= 1.5-1.28.1
  • libtasn1-3 >= 1.5-1.28.1
  • libtasn1-3-32bit >= 1.5-1.28.1
Builds
SAT Patch Nr: 9528
SUSE Linux Enterprise Server 11 SP3
  • libtasn1 >= 1.5-1.28.1
  • libtasn1-3 >= 1.5-1.28.1
  • libtasn1-3-x86 >= 1.5-1.28.1
Builds
SAT Patch Nr: 9528
SUSE Linux Enterprise High Availability Extension 11 SP3
  • libgnutls-extra26 >= 2.4.1-24.39.51.1
Builds
SAT Patch Nr: 9320
SUSE Linux Enterprise Software Development Kit 11 SP3
  • libgnutls-devel >= 2.4.1-24.39.51.1
  • libgnutls-extra-devel >= 2.4.1-24.39.51.1
  • libgnutls-extra26 >= 2.4.1-24.39.51.1
Builds
SAT Patch Nr: 9320
SUSE Linux Enterprise Desktop 11 SP3
  • gnutls >= 2.4.1-24.39.51.1
  • libgnutls26 >= 2.4.1-24.39.51.1
Builds
SAT Patch Nr: 9320
SUSE Linux Enterprise Desktop 11 SP3
  • gnutls >= 2.4.1-24.39.51.1
  • libgnutls26 >= 2.4.1-24.39.51.1
  • libgnutls26-32bit >= 2.4.1-24.39.51.1
Builds
SAT Patch Nr: 9320
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • gnutls >= 2.4.1-24.39.51.1
  • libgnutls-extra26 >= 2.4.1-24.39.51.1
  • libgnutls26 >= 2.4.1-24.39.51.1
Builds
SAT Patch Nr: 9320
SUSE Linux Enterprise Server 11 SP3
SUSE Linux Enterprise Server 11 SP3 for VMware
  • gnutls >= 2.4.1-24.39.51.1
  • libgnutls-extra26 >= 2.4.1-24.39.51.1
  • libgnutls26 >= 2.4.1-24.39.51.1
  • libgnutls26-32bit >= 2.4.1-24.39.51.1
Builds
SAT Patch Nr: 9320
SUSE Linux Enterprise Server 11 SP3
  • gnutls >= 2.4.1-24.39.51.1
  • libgnutls-extra26 >= 2.4.1-24.39.51.1
  • libgnutls26 >= 2.4.1-24.39.51.1
  • libgnutls26-x86 >= 2.4.1-24.39.51.1
Builds
SAT Patch Nr: 9320
SUSE Linux Enterprise Server 10 SP3 LTSS for x86
  • gnutls >= 1.2.10-13.40.1
  • gnutls-devel >= 1.2.10-13.40.1
Builds
ZYPP Patch Nr: 8874
SUSE Linux Enterprise Server 10 SP3 LTSS for AMD64 and Intel EM64T
SUSE Linux Enterprise Server 10 SP3 LTSS for IBM zSeries 64bit
  • gnutls >= 1.2.10-13.40.1
  • gnutls-32bit >= 1.2.10-13.40.1
  • gnutls-devel >= 1.2.10-13.40.1
  • gnutls-devel-32bit >= 1.2.10-13.40.1
Builds
ZYPP Patch Nr: 8874
openSUSE Leap 15.0
  • libtasn1 >= 4.13-lp150.2.2
  • libtasn1-6 >= 4.13-lp150.2.2
Patchnames:
openSUSE Leap 15.0 GA libtasn1
openSUSE Leap 42.1
  • libtasn1 >= 3.7-10.2
  • libtasn1-6 >= 3.7-10.2
  • libtasn1-6-32bit >= 3.7-10.2
  • libtasn1-devel >= 3.7-10.2
Patchnames:
openSUSE Leap 42.1 GA libtasn1
openSUSE Leap 42.2
  • libtasn1 >= 3.7-12.2
  • libtasn1-6 >= 3.7-12.2
  • libtasn1-6-32bit >= 3.7-12.2
  • libtasn1-devel >= 3.7-12.2
Patchnames:
openSUSE Leap 42.2 GA libtasn1
openSUSE Leap 42.3
  • libtasn1 >= 4.9-1.2
  • libtasn1-6 >= 4.9-1.2
  • libtasn1-6-32bit >= 4.9-1.2
  • libtasn1-devel >= 4.9-1.2
Patchnames:
openSUSE Leap 42.3 GA libtasn1
openSUSE Tumbleweed
  • libtasn1 >= 4.9-1.3
  • libtasn1-6 >= 4.9-1.3
  • libtasn1-6-32bit >= 4.9-1.3
  • libtasn1-devel >= 4.9-1.3
  • libtasn1-devel-32bit >= 4.9-1.3
Patchnames:
openSUSE Tumbleweed GA libtasn1


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 10 SP3 gnutls Released
SUSE Linux Enterprise Desktop 10 SP4 gnutls Released
SUSE Linux Enterprise Desktop 11 SP1 gnutls Affected
SUSE Linux Enterprise Desktop 11 SP2 gnutls Affected
SUSE Linux Enterprise Desktop 11 SP3 gnutls Affected
SUSE Linux Enterprise High Availability Extension 11 SP1 gnutls Affected
SUSE Linux Enterprise High Availability Extension 11 SP3 gnutls Affected
SUSE Linux Enterprise SDK 11 SP1 gnutls Affected
SUSE Linux Enterprise SDK 11 SP2 gnutls Affected
SUSE Linux Enterprise SDK 11 SP3 gnutls Affected
SUSE Linux Enterprise Server 10 SP3 gnutls Released
SUSE Linux Enterprise Server 10 SP4 gnutls Released
SUSE Linux Enterprise Server 10 SP4 LTSS gnutls Released
SUSE Linux Enterprise Server 11 SP1 gnutls Affected
SUSE Linux Enterprise Server 11 SP1 LTSS gnutls Affected
SUSE Linux Enterprise Server 11 SP2 gnutls Affected
SUSE Linux Enterprise Server 11 SP2 LTSS gnutls Affected
SUSE Linux Enterprise Server 11 SP3 gnutls Affected
SUSE Linux Enterprise Server for SAP AIO 11 SP1 gnutls Affected
SUSE Linux Enterprise Server for VMWare 11 SP2 gnutls Affected
SUSE Linux Enterprise Server for VMWare 11 SP3 gnutls Affected